Subject: Re: disallowing push to currently checked-out branch

From: Junio C Hamano <[email-masked]>
Date: Mon, 16 Feb 2009 17:18:57 -0800

Johannes Schindelin <[email-masked]> writes:

> Nope.  There was code flying around at some stage to record in the index 
> what commit it was based on.
>
> I forgot why it was thrown out again; you'll have to look up the 
> discussion yourself.

A good starting point may be:

    http://article.gmane.org/gmane.comp.version-control.git/67089/
    http://thread.gmane.org/gmane.comp.version-control.git/44360/focus=44508

It is frustrating that I cannot seem to find a way to tell gmane to "jump
to approximately this timeperiod", but right now, the thread appears at
around 635th page from the tip.  By the time you read this message you may
have to flip a bit more pages, though ;-)